EDIT - bug #7300

NPE when selecting team member after merge in bulkeditor
03/02/2018 11:43 AM - Katja Luther

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Katja Luther % Done: 80%
Category: taxeditor Estimated time: 0:00 hour
Target version: Release 5.0

Severity: normal Found in Version:

Description

Mail von Henning:

Hallo,
Jetzt habe ich Moser, G. gesucht, korrigiert, gespeichert, alle Moser, G. markiert, dedupliziert, gespeichert, alles ohne Probleme.

Dann Moser noch mal gesucht, bin ins Team gegangen und habe auf Moser/Bearbeitung geklickt, dabei folgender Fehler (siehe
auch Screen Shot):

Viele GriuBe,
Henning

login : henning

editor version : 4.14.0

server : api.cybertaxonomy.org (cybertaxonomy.org) / phycobank

schema version : 4.7.0.0.201710040000

os : Windows 7 6.1 amd64

java : 1.8.0_161

java.lang.NullPointerException

at eu.etaxonomy.taxeditor.ui.selection.EditFromSelectionWizard.addPages(EditFromSelectionWizard.java:101)
at org.eclipse.jface.wizard.WizardDialog.createContents(WizardDialog.java:585)

at org.eclipse.jface.window.Window.create(Window.java:426)

at org.eclipse.jface.dialogs.Dialog.create(Dialog.java:1095)

at org.eclipse.jface.window.Window.open(Window.java:783)

at eu.etaxonomy.taxeditor.ui.selection.EntitySelectionElement$EditListener.widgetSelected(EntitySelectionElement.java:438)
at org.eclipse.swt.widgets.TypedListener.handleEvent(TypedListener.java:249)

at org.eclipse.swt.widgets.EventTable.sendEvent(EventTable.java:84)

at org.eclipse.swt.widgets.Display.sendEvent(Display.java:4418)

at org.eclipse.swt.widgets.Widget.sendEvent(Widget.java:1079)

at org.eclipse.swt.widgets.Display.runDeferredEvents(Display.java:4236)

at org.eclipse.swt.widgets.Display.readAndDispatch(Display.java:3824)

at org.eclipse.e4.ui.internal.workbench.swt.PartRenderingEngine$4.run(PartRenderingEngine.java:1121)
at org.eclipse.core.databinding.observable.Realm.runWithDefault(Realm.java:336)

at org.eclipse.e4.ui.internal.workbench.swt.PartRenderingEngine.run(PartRenderingEngine.java:1022)
at org.eclipse.e4.ui.internal.workbench.E4Workbench.createAndRunUI(E4Workbench.java:150)

at org.eclipse.ui.internal. Workbench$5.run(Workbench.java:693)

at org.eclipse.core.databinding.observable.Realm.runWithDefault(Realm.java:336)

at org.eclipse.ui.internal. Workbench.createAndRunWorkbench(Workbench.java:610)

at org.eclipse.ui.PlatformUl.createAndRunWorkbench(PlatformUl.java:148)

at eu.etaxonomy.taxeditor.Application.start(Application.java:24)

at org.eclipse.equinox.internal.app.EclipseAppHandle.run(EclipseAppHandle.java:196)

at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.runApplication(EclipseAppLauncher.java:134)
at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.start(EclipseAppLauncher.java:104)

at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:388)

at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:243)

at sun.reflect.NativeMethodAccessorlmpl.invokeO(Native Method)

at sun.reflect.NativeMethodAccessorimpl.invoke(Unknown Source)

at sun.reflect.DelegatingMethodAccessorlmpl.invoke(Unknown Source)

at java.lang.reflect.Method.invoke(Unknown Source)

at org.eclipse.equinox.launcher.Main.invokeFramework(Main.java:673)

at org.eclipse.equinox.launcher.Main.basicRun(Main.java:610)

at org.eclipse.equinox.launcher.Main.run(Main.java:1519)
Associated revisions

Revision 63dd81ea - 03/02/2018 11:39 AM - Katja Luther

fix problems in bulkeditor

History

#1 - 03/02/2018 11:49 AM - Katja Luther

this was a regression. because the session of the new search was the same as before. after saving we need a new session.

#2 - 03/02/2018 11:50 AM - Katja Luther
- Status changed from New to Resolved

- Assignee changed from Katja Luther to Andreas Mdiller
please review

#3 - 04/30/2018 06:40 PM - Andreas Miiller
- Status changed from Resolved to Closed
- Assignee changed from Andreas Miller to Katja Luther

- % Done changed from 0 to 80

Difficult to try to reproduce as the original data are not available. But | tried to create 3 reference records with the same author, deduplicate, research
and open the author => no exception.

| think we can close and reopen (new ticket) if something similar appears again.
